<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Список реклам';
include_once '../sys/inc/thead.php';
title();
err();
aut();
user_access('adm_panel_show',null,'/index.php?'.SID);


if (isset($_GET['id'])&&isset($_GET['edit'])&& isset($user)&& $user['level']>=3){
$q_ank=mysql_fetch_array(mysql_query("SELECT * FROM `recl` WHERE `id`='".mysql_escape_string($_GET['id'])."'"));
if (isset($_GET['set']) && isset($_POST['ok']))
{
$name=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['name']))));
if (strlen2($name)<3)$err='Короткое имя!';
if (strlen2($link)<3)$err='Короткое имя!';
if (strlen2($name)>1500)$err='В имени не должно быть длиннее 150-х символов!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `recl` WHERE `name` = '$name'"),0)!=0)$err='Такое название сайта уже есть!';
if (!isset($err))
{
mysql_query("UPDATE `recl` SET `name` = '$name',`link` = '$link' WHERE `id` = '".mysql_escape_string($q_ank['id'])."' LIMIT 1");
header("Location: ?");
}
}
err();
echo "<div class='wm'>\n";
echo "<form method='post' action='?id=".$q_ank[id]."&edit&set'><div>\n";
echo "Название :<br /><input type='text' name='name' value='".$q_ank[name]."' maxlength='1500' /><br />";
echo "Ссылка :<br /><input type='text' name='link' value='".$q_ank[link]."' maxlength='1500' /><br />";
echo "<input class='doctor' type='submit' name='ok' value='Изменить' />\n";
echo "</div>\n";
echo "</form>\n";
echo "</div>";
echo '<div class="wm"><a href="?">В список</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `recl`"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)echo '<div class="menu">Нет сайтов!</div>';
$q = mysql_query("SELECT * FROM `recl` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
$q_user=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$f['id_user']."'"));

echo "<div class='wm'>\n";
echo "Название : $f[name]<br/>Ссылка на сайт : $f[link]<br/>Хозяин : <a href='/info.php?id=$f[id_user]'>$q_user[nick]</a><br />";
if ($f['time']>time())echo "<span class='user_pro'>Закончиться</span> : ".vremja($f[time])."\n";else echo '<font color=red>[окон]</font>';
if ($user[group_access]==15)echo "<br/>&raquo; <a href='?id=$f[id]&edit'>Изменить сайт</a><br/>\n";
if ($user[group_access]==15)echo "&raquo; <a href='?del=$f[id]'>Удалить сайт</a><br/>\n";
echo "</div>";
}

if ($k_page>1)str("index.php?",$k_page,$page); // Вывод страниц

if (isset($_GET['del'])&&$user[group_access]==15)
{
mysql_query("DELETE FROM `recl` WHERE `id` = '".mysql_escape_string($_GET['del'])."'");
header("Location: ?");
}
echo "<div class='wm'>";
echo "&raquo; <a href='index.php'>Назад</a><br/>";
echo "</div>";
include_once '../sys/inc/tfoot.php';

?>
